<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Send_Destination StructType
 * @subpackage Structs
 */
class Send_Destination extends AbstractStructBase
{
    /**
     * The Login
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Login
     */
    public $Login;
    /**
     * The SendDestination
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\SendDestination
     */
    public $SendDestination;
    /**
     * Constructor method for Send_Destination
     * @uses Send_Destination::setLogin()
     * @uses Send_Destination::setSendDestination()
     * @param \StructType\Login $login
     * @param \StructType\SendDestination $sendDestination
     */
    public function __construct(\StructType\Login $login = null, \StructType\SendDestination $sendDestination = null)
    {
        $this
            ->setLogin($login)
            ->setSendDestination($sendDestination);
    }
    /**
     * Get Login value
     * @return \StructType\Login|null
     */
    public function getLogin()
    {
        return $this->Login;
    }
    /**
     * Set Login value
     * @param \StructType\Login $login
     * @return \StructType\Send_Destination
     */
    public function setLogin(\StructType\Login $login = null)
    {
        $this->Login = $login;
        return $this;
    }
    /**
     * Get SendDestination value
     * @return \StructType\SendDestination|null
     */
    public function getSendDestination()
    {
        return $this->SendDestination;
    }
    /**
     * Set SendDestination value
     * @param \StructType\SendDestination $sendDestination
     * @return \StructType\Send_Destination
     */
    public function setSendDestination(\StructType\SendDestination $sendDestination = null)
    {
        $this->SendDestination = $sendDestination;
        return $this;
    }
}
